<?php
/* Autor...: William L. Taype Perez */
/* Esquema.: CP_Aplicacion.xml */
/* Generado: 2021-10-19 08:12:22 */

/* Mantenimiento de los registros de la tabla CP_Aplicacion */
abstract class BaseCP_AplicacionDP extends CP_AplicacionBV
{
    /* Constructor ( Establece los valores desde un objeto CP_AplicacionBN ) */
    public function __construct( CP_AplicacionBN $o_CP_AplicacionBN = null )
    {
        parent::__construct();
        if ( !is_null( $o_CP_AplicacionBN ) )
        {
            $this->setByBN( $o_CP_AplicacionBN );
        }
    }

    public $b_Debug = false;

    public function getDebug()
    {
        if( SF_DEBUG )
        {
            $this->b_Debug = true;
        }
        return $this->b_Debug;
    }

    public function setDebug( $v )
    {
        $this->b_Debug = $v;
    }

    /* Establece los valores desde un objeto CP_AplicacionBN */
    public function setByBN( CP_AplicacionBN $o_CP_AplicacionBN )
    {
        if ( !is_null( $o_CP_AplicacionBN->getIdAplicacion() ) )
        {
            $this->setIdAplicacion( $o_CP_AplicacionBN->getIdAplicacion() );
        }
        if ( !is_null( $o_CP_AplicacionBN->getIdParent() ) )
        {
            $this->setIdParent( $o_CP_AplicacionBN->getIdParent() );
        }
        if ( !is_null( $o_CP_AplicacionBN->getIdCompania() ) )
        {
            $this->setIdCompania( $o_CP_AplicacionBN->getIdCompania() );
        }
        if ( !is_null( $o_CP_AplicacionBN->getIdSucursal() ) )
        {
            $this->setIdSucursal( $o_CP_AplicacionBN->getIdSucursal() );
        }
        if ( !is_null( $o_CP_AplicacionBN->getIdTipoPago() ) )
        {
            $this->setIdTipoPago( $o_CP_AplicacionBN->getIdTipoPago() );
        }
        if ( !is_null( $o_CP_AplicacionBN->getIdCaja() ) )
        {
            $this->setIdCaja( $o_CP_AplicacionBN->getIdCaja() );
        }
        if ( !is_null( $o_CP_AplicacionBN->getIdTurno() ) )
        {
            $this->setIdTurno( $o_CP_AplicacionBN->getIdTurno() );
        }
        if ( !is_null( $o_CP_AplicacionBN->getIdCierre() ) )
        {
            $this->setIdCierre( $o_CP_AplicacionBN->getIdCierre() );
        }
        if ( !is_null( $o_CP_AplicacionBN->getIdBanco() ) )
        {
            $this->setIdBanco( $o_CP_AplicacionBN->getIdBanco() );
        }
        if ( !is_null( $o_CP_AplicacionBN->getIdCuenta() ) )
        {
            $this->setIdCuenta( $o_CP_AplicacionBN->getIdCuenta() );
        }
        if ( !is_null( $o_CP_AplicacionBN->getIdMoneda() ) )
        {
            $this->setIdMoneda( $o_CP_AplicacionBN->getIdMoneda() );
        }
        if ( !is_null( $o_CP_AplicacionBN->getMonedaDes() ) )
        {
            $this->setMonedaDes( $o_CP_AplicacionBN->getMonedaDes() );
        }
        if ( !is_null( $o_CP_AplicacionBN->getTipoCambio() ) )
        {
            $this->setTipoCambio( $o_CP_AplicacionBN->getTipoCambio() );
        }
        if ( !is_null( $o_CP_AplicacionBN->getTipoPagoNombre() ) )
        {
            $this->setTipoPagoNombre( $o_CP_AplicacionBN->getTipoPagoNombre() );
        }
        if ( !is_null( $o_CP_AplicacionBN->getIdPersona() ) )
        {
            $this->setIdPersona( $o_CP_AplicacionBN->getIdPersona() );
        }
        if ( !is_null( $o_CP_AplicacionBN->getTipoDocCliente() ) )
        {
            $this->setTipoDocCliente( $o_CP_AplicacionBN->getTipoDocCliente() );
        }
        if ( !is_null( $o_CP_AplicacionBN->getNumTipoDocCliente() ) )
        {
            $this->setNumTipoDocCliente( $o_CP_AplicacionBN->getNumTipoDocCliente() );
        }
        if ( !is_null( $o_CP_AplicacionBN->getNombreCliente() ) )
        {
            $this->setNombreCliente( $o_CP_AplicacionBN->getNombreCliente() );
        }
        if ( !is_null( $o_CP_AplicacionBN->getNombreTipo() ) )
        {
            $this->setNombreTipo( $o_CP_AplicacionBN->getNombreTipo() );
        }
        if ( !is_null( $o_CP_AplicacionBN->getClaseNombre() ) )
        {
            $this->setClaseNombre( $o_CP_AplicacionBN->getClaseNombre() );
        }
        if ( !is_null( $o_CP_AplicacionBN->getDescripcion() ) )
        {
            $this->setDescripcion( $o_CP_AplicacionBN->getDescripcion() );
        }
        if ( !is_null( $o_CP_AplicacionBN->getReciboNumero() ) )
        {
            $this->setReciboNumero( $o_CP_AplicacionBN->getReciboNumero() );
        }
        if ( !is_null( $o_CP_AplicacionBN->getIdDocRecibo() ) )
        {
            $this->setIdDocRecibo( $o_CP_AplicacionBN->getIdDocRecibo() );
        }
        if ( !is_null( $o_CP_AplicacionBN->getIdNumeroDocumento() ) )
        {
            $this->setIdNumeroDocumento( $o_CP_AplicacionBN->getIdNumeroDocumento() );
        }
        if ( !is_null( $o_CP_AplicacionBN->getIdDocNumRef() ) )
        {
            $this->setIdDocNumRef( $o_CP_AplicacionBN->getIdDocNumRef() );
        }
        if ( !is_null( $o_CP_AplicacionBN->getCodDocRef() ) )
        {
            $this->setCodDocRef( $o_CP_AplicacionBN->getCodDocRef() );
        }
        if ( !is_null( $o_CP_AplicacionBN->getSerieNumeroDocRef() ) )
        {
            $this->setSerieNumeroDocRef( $o_CP_AplicacionBN->getSerieNumeroDocRef() );
        }
        if ( !is_null( $o_CP_AplicacionBN->getMontoTotalDocRef() ) )
        {
            $this->setMontoTotalDocRef( $o_CP_AplicacionBN->getMontoTotalDocRef() );
        }
        if ( !is_null( $o_CP_AplicacionBN->getSaldoDocRef() ) )
        {
            $this->setSaldoDocRef( $o_CP_AplicacionBN->getSaldoDocRef() );
        }
        if ( !is_null( $o_CP_AplicacionBN->getFechaDocRef() ) )
        {
            $this->setFechaDocRef( $o_CP_AplicacionBN->getFechaDocRef() );
        }
        if ( !is_null( $o_CP_AplicacionBN->getFechaDocVenRef() ) )
        {
            $this->setFechaDocVenRef( $o_CP_AplicacionBN->getFechaDocVenRef() );
        }
        if ( !is_null( $o_CP_AplicacionBN->getIdMonedaRef() ) )
        {
            $this->setIdMonedaRef( $o_CP_AplicacionBN->getIdMonedaRef() );
        }
        if ( !is_null( $o_CP_AplicacionBN->getTipoCambioRef() ) )
        {
            $this->setTipoCambioRef( $o_CP_AplicacionBN->getTipoCambioRef() );
        }
        if ( !is_null( $o_CP_AplicacionBN->getCodVendedorRef() ) )
        {
            $this->setCodVendedorRef( $o_CP_AplicacionBN->getCodVendedorRef() );
        }
        if ( !is_null( $o_CP_AplicacionBN->getIdAlmacenRef() ) )
        {
            $this->setIdAlmacenRef( $o_CP_AplicacionBN->getIdAlmacenRef() );
        }
        if ( !is_null( $o_CP_AplicacionBN->getPeriodo() ) )
        {
            $this->setPeriodo( $o_CP_AplicacionBN->getPeriodo() );
        }
        if ( !is_null( $o_CP_AplicacionBN->getFechaAplicacion() ) )
        {
            $this->setFechaAplicacion( $o_CP_AplicacionBN->getFechaAplicacion() );
        }
        if ( !is_null( $o_CP_AplicacionBN->getMontoAplicado() ) )
        {
            $this->setMontoAplicado( $o_CP_AplicacionBN->getMontoAplicado() );
        }
        if ( !is_null( $o_CP_AplicacionBN->getMontoAplicacionMN() ) )
        {
            $this->setMontoAplicacionMN( $o_CP_AplicacionBN->getMontoAplicacionMN() );
        }
        if ( !is_null( $o_CP_AplicacionBN->getMontoAplicacionME() ) )
        {
            $this->setMontoAplicacionME( $o_CP_AplicacionBN->getMontoAplicacionME() );
        }
        if ( !is_null( $o_CP_AplicacionBN->getMostrar() ) )
        {
            $this->setMostrar( $o_CP_AplicacionBN->getMostrar() );
        }
        if ( !is_null( $o_CP_AplicacionBN->getEstado() ) )
        {
            $this->setEstado( $o_CP_AplicacionBN->getEstado() );
        }
        if ( !is_null( $o_CP_AplicacionBN->getFechaCreacion() ) )
        {
            $this->setFechaCreacion( $o_CP_AplicacionBN->getFechaCreacion() );
        }
        if ( !is_null( $o_CP_AplicacionBN->getUsuarioCreacion() ) )
        {
            $this->setUsuarioCreacion( $o_CP_AplicacionBN->getUsuarioCreacion() );
        }
        if ( !is_null( $o_CP_AplicacionBN->getFechaModificacion() ) )
        {
            $this->setFechaModificacion( $o_CP_AplicacionBN->getFechaModificacion() );
        }
        if ( !is_null( $o_CP_AplicacionBN->getUsuarioModificacion() ) )
        {
            $this->setUsuarioModificacion( $o_CP_AplicacionBN->getUsuarioModificacion() );
        }
    }

    /* Graba un nuevo registro */
    public function save()
    {
        $this->validateRecord();
        $o_CP_AplicacionFN = new CP_AplicacionFN();
        $o_CP_AplicacionBN = $o_CP_AplicacionFN->selectByPk( $this->getIdAplicacion() );
        if ( is_null( $o_CP_AplicacionBN ) )
        {
            $s_SQLQuery1 = "INSERT INTO CP_Aplicacion ( ";
            $s_SQLQuery2 = "VALUES ( ";
            $s_Separator = "";
            if ( !is_null( $this->getIdAplicacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdAplicacion";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdAplicacion()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdParent() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdParent";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdParent()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdCompania() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdCompania";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdCompania()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdSucursal() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdSucursal";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdSucursal()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdTipoPago() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdTipoPago";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdTipoPago()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdCaja() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdCaja";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdCaja()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdTurno() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdTurno";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdTurno()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdCierre() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdCierre";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdCierre()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdBanco() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdBanco";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdBanco()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdCuenta() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdCuenta";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdCuenta()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdMoneda() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdMoneda";
                $s_SQLQuery2 .= $s_Separator."'".$this->getIdMoneda()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMonedaDes() ) )
            {
                $s_SQLQuery1 .= $s_Separator."MonedaDes";
                $s_SQLQuery2 .= $s_Separator."'".$this->getMonedaDes()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTipoCambio() ) )
            {
                $s_SQLQuery1 .= $s_Separator."TipoCambio";
                $s_SQLQuery2 .= $s_Separator."".$this->getTipoCambio()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTipoPagoNombre() ) )
            {
                $s_SQLQuery1 .= $s_Separator."TipoPagoNombre";
                $s_SQLQuery2 .= $s_Separator."'".$this->getTipoPagoNombre()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdPersona() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdPersona";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdPersona()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTipoDocCliente() ) )
            {
                $s_SQLQuery1 .= $s_Separator."TipoDocCliente";
                $s_SQLQuery2 .= $s_Separator."'".$this->getTipoDocCliente()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getNumTipoDocCliente() ) )
            {
                $s_SQLQuery1 .= $s_Separator."NumTipoDocCliente";
                $s_SQLQuery2 .= $s_Separator."'".$this->getNumTipoDocCliente()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getNombreCliente() ) )
            {
                $s_SQLQuery1 .= $s_Separator."NombreCliente";
                $s_SQLQuery2 .= $s_Separator."'".$this->getNombreCliente()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getNombreTipo() ) )
            {
                $s_SQLQuery1 .= $s_Separator."NombreTipo";
                $s_SQLQuery2 .= $s_Separator."'".$this->getNombreTipo()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getClaseNombre() ) )
            {
                $s_SQLQuery1 .= $s_Separator."ClaseNombre";
                $s_SQLQuery2 .= $s_Separator."'".$this->getClaseNombre()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDescripcion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."Descripcion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getDescripcion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getReciboNumero() ) )
            {
                $s_SQLQuery1 .= $s_Separator."ReciboNumero";
                $s_SQLQuery2 .= $s_Separator."'".$this->getReciboNumero()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdDocRecibo() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdDocRecibo";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdDocRecibo()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdNumeroDocumento() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdNumeroDocumento";
                $s_SQLQuery2 .= $s_Separator."'".$this->getIdNumeroDocumento()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdDocNumRef() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdDocNumRef";
                $s_SQLQuery2 .= $s_Separator."'".$this->getIdDocNumRef()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getCodDocRef() ) )
            {
                $s_SQLQuery1 .= $s_Separator."CodDocRef";
                $s_SQLQuery2 .= $s_Separator."'".$this->getCodDocRef()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getSerieNumeroDocRef() ) )
            {
                $s_SQLQuery1 .= $s_Separator."SerieNumeroDocRef";
                $s_SQLQuery2 .= $s_Separator."'".$this->getSerieNumeroDocRef()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMontoTotalDocRef() ) )
            {
                $s_SQLQuery1 .= $s_Separator."MontoTotalDocRef";
                $s_SQLQuery2 .= $s_Separator."".$this->getMontoTotalDocRef()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getSaldoDocRef() ) )
            {
                $s_SQLQuery1 .= $s_Separator."SaldoDocRef";
                $s_SQLQuery2 .= $s_Separator."".$this->getSaldoDocRef()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaDocRef() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FechaDocRef";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFechaDocRef()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaDocVenRef() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FechaDocVenRef";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFechaDocVenRef()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdMonedaRef() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdMonedaRef";
                $s_SQLQuery2 .= $s_Separator."'".$this->getIdMonedaRef()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTipoCambioRef() ) )
            {
                $s_SQLQuery1 .= $s_Separator."TipoCambioRef";
                $s_SQLQuery2 .= $s_Separator."".$this->getTipoCambioRef()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getCodVendedorRef() ) )
            {
                $s_SQLQuery1 .= $s_Separator."CodVendedorRef";
                $s_SQLQuery2 .= $s_Separator."'".$this->getCodVendedorRef()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdAlmacenRef() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdAlmacenRef";
                $s_SQLQuery2 .= $s_Separator."'".$this->getIdAlmacenRef()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPeriodo() ) )
            {
                $s_SQLQuery1 .= $s_Separator."Periodo";
                $s_SQLQuery2 .= $s_Separator."'".$this->getPeriodo()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaAplicacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FechaAplicacion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFechaAplicacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMontoAplicado() ) )
            {
                $s_SQLQuery1 .= $s_Separator."MontoAplicado";
                $s_SQLQuery2 .= $s_Separator."".$this->getMontoAplicado()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMontoAplicacionMN() ) )
            {
                $s_SQLQuery1 .= $s_Separator."MontoAplicacionMN";
                $s_SQLQuery2 .= $s_Separator."".$this->getMontoAplicacionMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMontoAplicacionME() ) )
            {
                $s_SQLQuery1 .= $s_Separator."MontoAplicacionME";
                $s_SQLQuery2 .= $s_Separator."".$this->getMontoAplicacionME()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMostrar() ) )
            {
                $s_SQLQuery1 .= $s_Separator."Mostrar";
                $s_SQLQuery2 .= $s_Separator."'".$this->getMostrar()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getEstado() ) )
            {
                $s_SQLQuery1 .= $s_Separator."Estado";
                $s_SQLQuery2 .= $s_Separator."'".$this->getEstado()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaCreacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FechaCreacion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFechaCreacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioCreacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."UsuarioCreacion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getUsuarioCreacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaModificacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FechaModificacion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFechaModificacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioModificacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."UsuarioModificacion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getUsuarioModificacion()."'";
                $s_Separator = ", ";
            }
            $s_SQLQuery = $s_SQLQuery1." ) ".$s_SQLQuery2." );";
            if( $this->getDebug() ){ pr( $s_SQLQuery ); }
            $o_Resource = Conexion::getConexion();
            $o_Statement = $o_Resource->createStatement();
            $o_Statement->executeQuery( $s_SQLQuery );
        }
        else
        {
            throw new Exception( "El id ya esta registrado." );
        }
        return true;
    }

    /* Actualiza los datos del registro */
    public function update()
    {
        $this->validateRecord();
        if ( true )
        {
            $s_SQLQuery = "UPDATE CP_Aplicacion SET ";
            $s_Separator = "";
            if ( !is_null( $this->getIdParent() ) )
            {
                $s_SQLQuery .= $s_Separator."IdParent = ".$this->getIdParent()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdCompania() ) )
            {
                $s_SQLQuery .= $s_Separator."IdCompania = ".$this->getIdCompania()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdSucursal() ) )
            {
                $s_SQLQuery .= $s_Separator."IdSucursal = ".$this->getIdSucursal()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdTipoPago() ) )
            {
                $s_SQLQuery .= $s_Separator."IdTipoPago = ".$this->getIdTipoPago()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdCaja() ) )
            {
                $s_SQLQuery .= $s_Separator."IdCaja = ".$this->getIdCaja()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdTurno() ) )
            {
                $s_SQLQuery .= $s_Separator."IdTurno = ".$this->getIdTurno()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdCierre() ) )
            {
                $s_SQLQuery .= $s_Separator."IdCierre = ".$this->getIdCierre()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdBanco() ) )
            {
                $s_SQLQuery .= $s_Separator."IdBanco = ".$this->getIdBanco()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdCuenta() ) )
            {
                $s_SQLQuery .= $s_Separator."IdCuenta = ".$this->getIdCuenta()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdMoneda() ) )
            {
                $s_SQLQuery .= $s_Separator."IdMoneda = '".$this->getIdMoneda()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMonedaDes() ) )
            {
                $s_SQLQuery .= $s_Separator."MonedaDes = '".$this->getMonedaDes()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTipoCambio() ) )
            {
                $s_SQLQuery .= $s_Separator."TipoCambio = ".$this->getTipoCambio()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTipoPagoNombre() ) )
            {
                $s_SQLQuery .= $s_Separator."TipoPagoNombre = '".$this->getTipoPagoNombre()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdPersona() ) )
            {
                $s_SQLQuery .= $s_Separator."IdPersona = ".$this->getIdPersona()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTipoDocCliente() ) )
            {
                $s_SQLQuery .= $s_Separator."TipoDocCliente = '".$this->getTipoDocCliente()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getNumTipoDocCliente() ) )
            {
                $s_SQLQuery .= $s_Separator."NumTipoDocCliente = '".$this->getNumTipoDocCliente()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getNombreCliente() ) )
            {
                $s_SQLQuery .= $s_Separator."NombreCliente = '".$this->getNombreCliente()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getNombreTipo() ) )
            {
                $s_SQLQuery .= $s_Separator."NombreTipo = '".$this->getNombreTipo()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getClaseNombre() ) )
            {
                $s_SQLQuery .= $s_Separator."ClaseNombre = '".$this->getClaseNombre()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDescripcion() ) )
            {
                $s_SQLQuery .= $s_Separator."Descripcion = '".$this->getDescripcion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getReciboNumero() ) )
            {
                $s_SQLQuery .= $s_Separator."ReciboNumero = '".$this->getReciboNumero()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdDocRecibo() ) )
            {
                $s_SQLQuery .= $s_Separator."IdDocRecibo = ".$this->getIdDocRecibo()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdNumeroDocumento() ) )
            {
                $s_SQLQuery .= $s_Separator."IdNumeroDocumento = '".$this->getIdNumeroDocumento()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdDocNumRef() ) )
            {
                $s_SQLQuery .= $s_Separator."IdDocNumRef = '".$this->getIdDocNumRef()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getCodDocRef() ) )
            {
                $s_SQLQuery .= $s_Separator."CodDocRef = '".$this->getCodDocRef()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getSerieNumeroDocRef() ) )
            {
                $s_SQLQuery .= $s_Separator."SerieNumeroDocRef = '".$this->getSerieNumeroDocRef()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMontoTotalDocRef() ) )
            {
                $s_SQLQuery .= $s_Separator."MontoTotalDocRef = ".$this->getMontoTotalDocRef()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getSaldoDocRef() ) )
            {
                $s_SQLQuery .= $s_Separator."SaldoDocRef = ".$this->getSaldoDocRef()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaDocRef() ) )
            {
                $s_SQLQuery .= $s_Separator."FechaDocRef = '".$this->getFechaDocRef()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaDocVenRef() ) )
            {
                $s_SQLQuery .= $s_Separator."FechaDocVenRef = '".$this->getFechaDocVenRef()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdMonedaRef() ) )
            {
                $s_SQLQuery .= $s_Separator."IdMonedaRef = '".$this->getIdMonedaRef()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTipoCambioRef() ) )
            {
                $s_SQLQuery .= $s_Separator."TipoCambioRef = ".$this->getTipoCambioRef()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getCodVendedorRef() ) )
            {
                $s_SQLQuery .= $s_Separator."CodVendedorRef = '".$this->getCodVendedorRef()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdAlmacenRef() ) )
            {
                $s_SQLQuery .= $s_Separator."IdAlmacenRef = '".$this->getIdAlmacenRef()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPeriodo() ) )
            {
                $s_SQLQuery .= $s_Separator."Periodo = '".$this->getPeriodo()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaAplicacion() ) )
            {
                $s_SQLQuery .= $s_Separator."FechaAplicacion = '".$this->getFechaAplicacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMontoAplicado() ) )
            {
                $s_SQLQuery .= $s_Separator."MontoAplicado = ".$this->getMontoAplicado()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMontoAplicacionMN() ) )
            {
                $s_SQLQuery .= $s_Separator."MontoAplicacionMN = ".$this->getMontoAplicacionMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMontoAplicacionME() ) )
            {
                $s_SQLQuery .= $s_Separator."MontoAplicacionME = ".$this->getMontoAplicacionME()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMostrar() ) )
            {
                $s_SQLQuery .= $s_Separator."Mostrar = '".$this->getMostrar()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getEstado() ) )
            {
                $s_SQLQuery .= $s_Separator."Estado = '".$this->getEstado()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaCreacion() ) )
            {
                $s_SQLQuery .= $s_Separator."FechaCreacion = '".$this->getFechaCreacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioCreacion() ) )
            {
                $s_SQLQuery .= $s_Separator."UsuarioCreacion = '".$this->getUsuarioCreacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaModificacion() ) )
            {
                $s_SQLQuery .= $s_Separator."FechaModificacion = '".$this->getFechaModificacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioModificacion() ) )
            {
                $s_SQLQuery .= $s_Separator."UsuarioModificacion = '".$this->getUsuarioModificacion()."'";
                $s_Separator = ", ";
            }
            $s_SQLQuery .= " WHERE  IdAplicacion = ".$this->getIdAplicacion().";";
            if( $this->getDebug() ){ pr( $s_SQLQuery ); }

            $o_Resource = Conexion::getConexion();
            $o_Statement = $o_Resource->createStatement();
            $o_Statement->executeQuery( $s_SQLQuery );
        }
        else
        {
            throw new Exception( "El id no esta registrado." );
        }
        return true;
    }

    /* Elimina el registro */
    public function delete()
    {
        $s_SQLQuery = "DELETE FROM CP_Aplicacion WHERE  IdAplicacion = ".$this->getIdAplicacion().";";
        if( $this->getDebug() ){ pr( $s_SQLQuery ); }
        $o_Resource = Conexion::getConexion();
        $o_Statement = $o_Resource->createStatement();
        $o_Statement->executeQuery( $s_SQLQuery );
        return true;
    }

}
?>